wordpressUsername: admin
wordpressPassword: "identify stimulus whacky unluckily"
existingSecret: ""
wordpressEmail: info@oceanbox.io
wordpressFirstName: Svenn
wordpressLastName: Hanssen
wordpressBlogName: Oceanbox.io
wordpressScheme: https
wordpressSkipInstall: false # NOTE: useful if you use an external database that already contains WordPress data
smtpHost: smtpgw.itpartner.no
smtpPort: 465
smtpUser: utvikling
smtpPassword: S0m3rp0m@de#21!
smtpProtocol: ssl
smtpExistingSecret: ""
allowEmptyPassword: true

multisite:
  enable: false
  host: ""
  networkType: subdomain
  enableNipIoRedirect: false

replicaCount: 1
resources:
  limits: {}
  requests:
    memory: 512Mi
    cpu: 300m
containerPorts:
  http: 8080
  https: 8443

service:
  type: LoadBalancer
  ports:
    http: 80
    https: 443
  httpsTargetPort: https
  nodePorts:
    http: ""
    https: ""

ingress:
  enabled: true
  pathType: ImplementationSpecific
  apiVersion: ""
  ingressClassName: ""
  hostname: oceanbox.io
  path: /
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-production
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/backend-protocol: HTTP
    nginx.ingress.kubernetes.io/proxy-body-size: 1024m
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
  tls: false
  selfSigned: false
  extraHosts:
    - name: www.oceanbox.io
      path: /
    - name: wp.oceanbox.io
      path: /
  extraPaths: []
  extraTls:
    - hosts:
      - oceanbox.io
      - www.oceanbox.io
      - wp.oceanbox.io
      secretName: oceanbox-tls

persistence:
  enabled: true
  storageClass: ""
  accessModes:
    - ReadWriteOnce
  accessMode: ReadWriteOnce
  size: 10Gi
  existingClaim: ""

mariadb:
  enabled: true
  architecture: standalone
  auth:
    rootPassword: ""
    database: bitnami_wordpress
    username: bn_wordpress
    password: ""
  primary:
    persistence:
      enabled: true
      storageClass: ""
      accessModes:
        - ReadWriteOnce
      size: 8Gi
